﻿package com.Tutorial
{
    import com.adamatomic.flixel.*;
    
    public class Player extends FlxSprite
    {
        [Embed(source = '../../data/gfx/spritesheet.png')] public static var ImgPlayer:Class;
        
        private var _move_speed:int = 2000;
        private var _jump_power:int = 800;   
        private var _max_health:int = 10;
        private var _hurt_counter:Number = 0;
		private var _moving:Boolean = false;
		public var _canmove:Boolean = true;

        public function Player(X:Number,Y:Number):void
        {
            super(ImgPlayer, X, Y, true, true,100,100);//Max speeds
						
            maxVelocity.x = 90;
            maxVelocity.y = 90;
            //Set the player health
            health = 10;
            //Gravity
            acceleration.y = 0;            
            //Friction
            drag.x = 800;
            drag.y = 800;
            //bounding box tweaks
            width = 100;
            height = 100;
			addAnimation("none",[0,1,2,3,4,5,6],0,false);
			
			play("none");
			
			this.update();
        }
    
		
		public function setFrame(f:int):void
		{
			this.specificFrame(f);
			this.update();
		}
		
        override public function update():void
        {
            super.update();
			
			if (!_canmove)
				return;
				
			var oldmoving:Boolean;
			oldmoving = _moving;
			var olddir:int;
			_moving = false;
				
            if(FlxG.kLeft)
            {
                velocity.x -= _move_speed * FlxG.elapsed;
				_moving = true;
            }
            if (FlxG.kRight)
            {
                velocity.x += _move_speed * FlxG.elapsed;  
				_moving = true;
            }
			
			if (x > FlxG.width / 2 -50 && ChoiceState._curline==1 && FlxG.level==6)
			{
				this.specificFrame(6);
				this.flicker(100);
				this._canmove = false;
			}
			
			if (x < 8)
			{
				x = 8;	
			}
			else if (x > FlxG.width - 16- 8)
			{
				if (FlxG.level<6)
					FlxG.switchState(WalkState);	
				else
					FlxG.switchState(GameOver);

			}
			
			
        }

        override public function hurt(Damage:Number):void
        {
            _hurt_counter = 1;
            return super.hurt(Damage);
        }       
    }
}